atk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The ATK interface implemented by components containing user-editable text content

should be implemented by UI components which contain text which the user can edit, via the corresponding to that component (see ).

is a subclass of , and as such, an object which implements AtkEditableText is by definition an implementor as well.

GLib.IWrapper
- Method
  System.Void `` `` Delete text start position end position

  This only deletes text up to, but not including .

- Method
  System.Void `` Paste text from clipboard to specified position. position to paste
- Method
  System.Void `` `` Cut text start position end position

  This method only cuts the text up to , it does not include the text at that position.

- Method
  System.Void `` `` Copy text start position end position

  This method only copies the text up to , it does not include the text at that position.

- Method
  System.Boolean `` `` `` Sets the attributes for a specified range. an start of range in which to set attributes end of range in which to set attributes if attributes successfully set for the specified range, otherwise

  Sets the attributes for a specified range. See the ATK_ATTRIBUTE macros (such as ATK_ATTRIBUTE_LEFT_MARGIN) for examples of attributes that can be set. Note that other attributes that do not have corresponding ATK_ATTRIBUTE macros may also be set for certain text widgets.

- Property
  System.String Set text contents of text. string to set for text contents of text contents of text
- Method
  System.Int32 `` Insert text at a given position. the text to insert the position after the text has been inserted.